
#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D u_texture;

uniform vec2 blurSize;
uniform vec4 substract;

void main() {
	vec4 sum = vec4(0.0);
	vec2 blurW = vec2(blurSize[0], 0.0);
	vec2 blurH = vec2(0.0, blurSize[1]);
	
	float mult = 0.2;
	
	sum += texture2D(u_texture, v_texCoord) * mult;
	
	sum += texture2D(u_texture, v_texCoord + blurW) * mult;
	sum += texture2D(u_texture, v_texCoord + blurW*-1.0) * mult;
	
	sum += texture2D(u_texture, v_texCoord + blurH) * mult;
	sum += texture2D(u_texture, v_texCoord + blurH*-1.0) * mult;
	
	gl_FragColor = (sum - substract) * v_fragmentColor;
}
