#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float saturation;
uniform float wash;

void main() {
	vec4 normalColor = texture2D(u_texture, v_texCoord);
    float invSat = 1.0 - saturation;
	float avgColor = (normalColor.r * 0.3 + normalColor.g * 0.3 + normalColor.b * 0.4) * invSat;
	
	gl_FragColor = normalColor;
	gl_FragColor *= saturation;
	gl_FragColor += avgColor + wash * invSat;
	gl_FragColor.a = 1.0;
	gl_FragColor *= normalColor.a;
}